net.sf.jasperreports.engine

## Class JRPrintImageArea

- java.lang.Object
- - net.sf.jasperreports.engine.JRPrintImageArea

- All Implemented Interfaces:
    java.io.Serializable

      public class JRPrintImageArea
      extends java.lang.Object
      implements java.io.Serializable

  An area on an image.
  Version:
    $Id: JRPrintImageArea.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRPrintImageAreaHyperlink`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `SHAPE_CIRCLE`
    `static byte` | `SHAPE_DEFAULT`
    `static java.lang.String` | `SHAPE_HTML_CIRCLE`
    `static java.lang.String` | `SHAPE_HTML_DEFAULT`
    `static java.lang.String` | `SHAPE_HTML_POLYGON`
    `static java.lang.String` | `SHAPE_HTML_RECTANGLE`
    `static byte` | `SHAPE_POLYGON`
    `static byte` | `SHAPE_RECTANGLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPrintImageArea()` Creates a blank image area.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsPoint(int x, int y)` Decides whether a specific point is inside this area.
    `protected java.awt.Shape` | `createAWTRectangle()`
    `protected java.awt.Shape` | `createAWTShape()`
    `protected void` | `ensureAWTShape()`
    `int[]` | `getCoordinates()` Returns the shape coordinates.
    `static java.lang.String` | `getHtmlShape(byte shape)` Returns the HTML shape type corresponding to a shape type.
    `byte` | `getShape()` Returns the shape type.
    `static byte` | `getShape(java.lang.String htmlShape)` Returns the shape constant corresponding the HTML are shape type.
    `protected boolean` | `hasAWTShape()`
    `void` | `setCoordinates(int[] coordinates)` Sets the shape coordinates.
    `void` | `setShape(byte shape)` Sets the area shape type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHAPE_DEFAULT

          public static final byte SHAPE_DEFAULT

      See Also:
        Constant Field Values

    - #### SHAPE_RECTANGLE

          public static final byte SHAPE_RECTANGLE

      See Also:
        Constant Field Values

    - #### SHAPE_CIRCLE

          public static final byte SHAPE_CIRCLE

      See Also:
        Constant Field Values

    - #### SHAPE_POLYGON

          public static final byte SHAPE_POLYGON

      See Also:
        Constant Field Values

    - #### SHAPE_HTML_DEFAULT

          public static final java.lang.String SHAPE_HTML_DEFAULT

      See Also:
        Constant Field Values

    - #### SHAPE_HTML_RECTANGLE

          public static final java.lang.String SHAPE_HTML_RECTANGLE

      See Also:
        Constant Field Values

    - #### SHAPE_HTML_CIRCLE

          public static final java.lang.String SHAPE_HTML_CIRCLE

      See Also:
        Constant Field Values

    - #### SHAPE_HTML_POLYGON

          public static final java.lang.String SHAPE_HTML_POLYGON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRPrintImageArea

          public JRPrintImageArea()

      Creates a blank image area.

  - ### Method Detail

    - #### getShape

          public static byte getShape(java.lang.String htmlShape)

      Returns the shape constant corresponding the HTML are shape type.
      Parameters:
        `htmlShape` - the HTML are shape type
      Returns:
        the corresponding shape constant

    - #### getHtmlShape

          public static java.lang.String getHtmlShape(byte shape)

      Returns the HTML shape type corresponding to a shape type.
      Parameters:
        `shape` - the shape type
      Returns:
        the HTML shape type

    - #### getShape

          public byte getShape()

      Returns the shape type.
      Returns:
        the shape type

    - #### setShape

          public void setShape(byte shape)

      Sets the area shape type.
      Parameters:
        `shape` - the shape type, one of
        - `SHAPE_DEFAULT`
        - `SHAPE_RECTANGLE`
        - `SHAPE_POLYGON`
        - `SHAPE_CIRCLE`

    - #### getCoordinates

          public int[] getCoordinates()

      Returns the shape coordinates.
      Returns:
        the shape coordinates

    - #### setCoordinates

          public void setCoordinates(int[] coordinates)

      Sets the shape coordinates.
      Parameters:
        `coordinates` - the shape coordinates

    - #### containsPoint

          public boolean containsPoint(int x,
                              int y)

      Decides whether a specific point is inside this area.
      Parameters:
        `x` - the X coordinate of the point
        `y` - the Y coordinate of the point
      Returns:
        whether the point is inside this area

    - #### ensureAWTShape

          protected void ensureAWTShape()

    - #### hasAWTShape

          protected boolean hasAWTShape()

    - #### createAWTShape

          protected java.awt.Shape createAWTShape()

    - #### createAWTRectangle

          protected java.awt.Shape createAWTRectangle()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com